com.fasterxml.jackson.databind.introspect

## Class TypeResolutionContext.Basic

- java.lang.Object
- - com.fasterxml.jackson.databind.introspect.TypeResolutionContext.Basic

- All Implemented Interfaces:
    TypeResolutionContext
  Enclosing interface:
    TypeResolutionContext

      public static class TypeResolutionContext.Basic
      extends java.lang.Object
      implements TypeResolutionContext

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.fasterxml.jackson.databind.introspect.TypeResolutionContext

      `TypeResolutionContext.Basic`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeResolutionContext.Basic(TypeFactory tf, TypeBindings b)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JavaType` | `resolveType(java.lang.reflect.Type type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TypeResolutionContext.Basic

          public TypeResolutionContext.Basic(TypeFactory tf,
                                     TypeBindings b)

  - ### Method Detail

    - #### resolveType

          public JavaType resolveType(java.lang.reflect.Type type)

      Specified by:
        `resolveType` in interface `TypeResolutionContext`